
Redmine - Defect #6009

When using "English (British)", the repository browser (svn) shows files over 1000 bytes as floating

point (2.334355)

2010-07-31 14:04 - Jools Wills

Status: Closed Start date: 2010-07-31

Priority: Normal Due date: 2010-08-19

Assignee: Azamat Hackimov % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

When using "English (British)", the repository browser (svn) shows files over 1000 bytes as floating point (2.334355). for example

file 1 - 324 Bytes

file 2 - 5.44522445

My setup: Debian Lenny, running redmine git HEAD.

LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

cgi_multipart_eof_fix (2.5.0)

daemons (1.1.0)

fastthread (1.0.7)

gem_plugin (0.2.3)

mongrel (1.1.5)

mongrel_cluster (1.0.5)

mysql (2.8.1)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

Related issues:

Related to Redmine - Defect #5024: Internal error after clicking on link to P... Closed 2010-03-10

Associated revisions

Revision 4004 - 2010-08-19 18:35 - Azamat Hackimov

Fixing #6009

Added to all locales required strings.

History

#1 - 2010-07-31 14:19 - Felix Schäfer

Confirmed on a recentish trunk. I first thought this could be related to "sub"-locales (en vs en-GB), but the problem didn't occur with either portuguese

or brazilian portuguese. I was able to observe this problem in the "Slovenčina" locale (should be sk), "Српски" and "Srpski" (sr-CY and sr) seem to be

affected too, haven't tried much of the others.

#2 - 2010-08-19 18:36 - Azamat Hackimov

- Due date set to 2010-08-19

- Status changed from New to Closed

- Target version set to 1.0.1

- Resolution set to Fixed

This locale-related problem. In all yml files I placed these strings in number section:
    format:

      separator: "." 

      delimiter: "" 

      precision: 3

 These strings sets default style for number formats. Fixed in r4004
